Bug 250927 - Additional "/tmp" bits to clean up in rc.sysinit
Additional "/tmp" bits to clean up in rc.sysinit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-05 09:15 EDT by David Tonhofer
Modified: 2014-03-16 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:06:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2007-08-05 09:15:48 EDT
Description of problem:

Some stuff remains in /tmp for ages (unsure where it comes from):

- Directories named "mapping-USER"
- Files named "plugtmp" "plugtmp-1" ...

I guess these can be cleaned up by rc.sysinit.

Solution:

In /etc/rc.sysinit, extend the command under "Clean up various /tmp bits":

# Clean up various /tmp bits
[ -n "$SELINUX_STATE" ] && restorecon /tmp
rm -f /tmp/.X*-lock /tmp/.lock.* /tmp/.gdm_socket /tmp/.s.PGSQL.*
rm -rf /tmp/.X*-unix /tmp/.ICE-unix /tmp/.font-unix /tmp/hsperfdata_* \
       /tmp/kde-* /tmp/ksocket-* /tmp/mc-* /tmp/mcop-* /tmp/orbit-*  \
       /tmp/scrollkeeper-*  /tmp/ssh-* \
       /dev/.in_sysinit \
       /tmp/plugtmp* /tmp/mapping*


Actually, a better solution would be to have packages add a "clean-tmp"
script into a directory like "/etc/cleantmp.d" or something.
Comment 1 Bill Nottingham 2007-08-06 17:23:15 EDT
Surely tmpwatch takes care of these?
Comment 2 David Tonhofer 2007-08-07 11:35:27 EDT
One could consider doing that.

But note that 

rm -f /tmp/.X*-lock /tmp/.lock.* /tmp/.gdm_socket /tmp/.s.PGSQL.*
rm -rf /tmp/.X*-unix /tmp/.ICE-unix /tmp/.font-unix /tmp/hsperfdata_* \
       /tmp/kde-* /tmp/ksocket-* /tmp/mc-* /tmp/mcop-* /tmp/orbit-*  \
       /tmp/scrollkeeper-*  /tmp/ssh-* \
       /dev/.in_sysinit

is currently part of FC6 anyways.


Comment 3 Bill Nottingham 2007-08-07 11:45:47 EDT
Yeah, but I'd like to fix that in a real, scalable, way.
Comment 4 David Tonhofer 2007-08-14 05:49:22 EDT
The one way to do that is to have an operating system facility that blows
away a set of files uniquely attached to process once that process exits.
But this is not Linux (yet?) AFAIK.

So... close NOTABUG?
Comment 5 Till Maas 2008-01-11 13:24:53 EST
fixing bug #67681 would have help here, than every package can drop a "rm ..."
command for its stuff in one directory instead of collecting all this in one file.

To the reporter:
Btw. one can put files into /etc/sysconfig/modules that are executed on startup
in case the files ends with .modules. This can be abused for your package, in
case you are a mainter and want your stuff to be cleaned. I asked about this on
fedora-devel btw. Ah, I just got another idea, use a crontab with "@reboot" (see
man 5 crontab), but then you have to require cron.
Comment 6 Till Maas 2008-01-11 14:04:30 EST
hm, cron may be not good enough for this, because the files should probably
deleted before the process that may create them is started. This may not be the
case when using cron.
Comment 7 Bug Zapper 2008-05-14 09:52:45 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 22:06:11 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.